Bug 224182 - parted crashes if LANG=it_IT.UTF-8 is set
parted crashes if LANG=it_IT.UTF-8 is set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 10:33 EST by Fabio Bettoni
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 11:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Bettoni 2007-01-24 10:33:50 EST
Description of problem:
parted crash if LANG=it_IT.UTF-8 is set
it works if LANG is unset


Version-Release number of selected component (if applicable):
parted-1.8.2-3.fc7

Steps to Reproduce:
export LANG=it_IT.UTF-8
parted

  
Actual results:
(parted) p
Model: HP 73.4G MAS3735NC (scsi)
Disco /dev/sda: 73,4GB
Dimensione del settore (logica/fisica): 512B/512B
Tabella delle partizioni: gpt



You found a bug in GNU Parted! Here's what you have to do:

Don't panic! The bug has most likely not affected any of your data.
Help us to fix this bug by doing the following:

Check whether the bug has already been fixed by checking
the last version of GNU Parted that you can find at:

        http://ftp.gnu.org/gnu/parted/

Please check this version prior to bug reporting.

If this has not been fixed yet or if you don't know how to check,
please visit the GNU Parted website:

        http://www.gnu.org/software/parted

for further information.

Your report should contain the version of this release (1.8.2)
along with the error message below, the output of

        parted DEVICE unit co print unit s print

and additional information about your setup you consider important.
*** glibc detected *** parted: malloc(): memory corruption: 0x6000000000039ba0 
***
======= Backtrace: =========
/lib/libc.so.6.1[0x20000000004492d0]
/lib/libc.so.6.1(__libc_malloc-0x1e7800)[0x200000000044cad0]
/lib/libc.so.6.1[0x20000000003bdea0]
/lib/libc.so.6.1[0x20000000003b99f0]
/lib/libc.so.6.1[0x20000000003b88a0]
/lib/libc.so.6.1(dcgettext-0x27def0)[0x20000000003b63f0]
parted[0x4000000000014d90]
[0xa0000000000107e0]
/lib/libc.so.6.1(wcscat-0x1d1750)[0x2000000000462bb0]
parted(table_render+0x1fffffffff9e4c80)[0x4000000000018f90]
parted[0x4000000000009ce0]
parted(command_run+0x1fffffffff9d1b80)[0x4000000000005ea0]
parted(interactive_mode+0x1fffffffff9e3f60)[0x4000000000018290]
parted(main+0x1fffffffff9dd710)[0x40000000000118c0]
/lib/libc.so.6.1(__libc_start_main-0x29cb50)[0x20000000003977f0]
parted(_start+0x1fffffffff9d18f0)[0x4000000000005c40]
======= Memory map: ========
00000000-00004000 r--p 00000000 00:00 0
2000000000000000-200000000003c000 r-xp 00000000 08:14 
8503332            /lib/ld-2.5.90.so
2000000000048000-2000000000050000 rw-p 00038000 08:14 
8503332            /lib/ld-2.5.90.so
2000000000074000-2000000000138000 r-xp 00000000 08:14 
1201864            /usr/lib/libparted-1.8.so.2.0.0
2000000000138000-2000000000144000 ---p 000c4000 08:14 
1201864            /usr/lib/libparted-1.8.so.2.0.0
2000000000144000-200000000014c000 rw-p 000c0000 08:14 
1201864            /usr/lib/libparted-1.8.so.2.0.0
200000000014c000-200000000016c000 r-xp 00000000 08:14 
8503353            /lib/libdevmapper.so.1.02
200000000016c000-2000000000178000 ---p 00020000 08:14 
8503353            /lib/libdevmapper.so.1.02
2000000000178000-2000000000180000 rw-p 0001c000 08:14 
8503353            /lib/libdevmapper.so.1.02
2000000000180000-20000000001a8000 r-xp 00000000 08:14 
8503544            /lib/libselinux.so.1
20000000001a8000-20000000001b4000 ---p 00028000 08:14 
8503544            /lib/libselinux.so.1
20000000001b4000-20000000001b8000 rw-p 00024000 08:14 
8503544            /lib/libselinux.so.1
20000000001b8000-20000000001c0000 rw-p 20000000001b8000 00:00 0
20000000001c0000-2000000000240000 r-xp 00000000 08:14 
8503468            /lib/libsepol.so.1
2000000000240000-200000000024c000 ---p 00080000 08:14 
8503468            /lib/libsepol.so.1
200000000024c000-2000000000250000 rw-p 0007c000 08:14 
8503468            /lib/libsepol.so.1
2000000000250000-200000000025c000 rw-p 2000000000250000 00:00 0
200000000025c000-2000000000260000 r-xp 00000000 08:14 
8503370            /lib/libuuid.so.1.2
2000000000260000-200000000026c000 ---p 00004000 08:14 
8503370            /lib/libuuid.so.1.2
200000000026c000-2000000000274000 rw-p 00000000 08:14 
8503370            /lib/libuuid.so.1.2
2000000000274000-20000000002d8000 r-xp 00000000 08:14 
1205971            /usr/lib/libreadline.so.5.2
20000000002d8000-20000000002e4000 ---p 00064000 08:14 
1205971            /usr/lib/libreadline.so.5.2
20000000002e4000-20000000002f0000 rw-p 00060000 08:14 
1205971            /usr/lib/libreadline.so.5.2
20000000002f0000-20000000002f4000 rw-p 20000000002f0000 00:00 0
20000000002f4000-200000000035c000 r-xp 00000000 08:14 
8503447            /lib/libncurses.so.5.6
200000000035c000-2000000000368000 ---p 00068000 08:14 
8503447            /lib/libncurses.so.5.6
2000000000368000-2000000000370000 rw-p 00064000 08:14 
8503447            /lib/libncurses.so.5.6
2000000000370000-2000000000374000 rw-p 2000000000370000 00:00 0
2000000000374000-20000000005dc000 r-xp 00000000 08:14 
8503400            /lib/libc-2.5.90.so
20000000005dc000-20000000005e8000 ---p 00268000 08:14 
8503400            /lib/libc-2.5.90.so
20000000005e8000-20000000005f0000 rw-p 00264000 08:14 
8503400            /lib/libc-2.5.90.so
20000000005f0000-20000000005f4000 rw-p 20000000005f0000 00:00 0
20000000005f4000-20000000005fc000 r-xp 00000000 08:14 
8503411            /lib/libdl-2.5.90.so
20000000005fc000-2000000000608000 ---p 00008000 08:14 
8503411            /lib/libdl-2.5.90.so
2000000000608000-200000000060c000 rw-p 00004000 08:14 
8503411            /lib/libdl-2.5.90.so
200000000060c000-2000000000640000 rw-p 200000000060c000 00:00 0
2000000000640000-2000000003d80000 r--p 00000000 08:14 
8323123            /usr/lib/locale/locale-archive
2000000003d80000-2000000003d90000 r--p 00000000 08:14 
1213484            /usr/share/locale/it/LC_MESSAGES/parted.mo
2000000003e00000-2000000003e08000 r--s 00000000 08:14 
1233259            /usr/lib/gconv/gconv-modules.cache
2000000003e08000-2000000003e1c000 rw-p 2000000003e08000 00:00 0
2000000003e3c000-2000000003e58000 r-xp 00000000 08:14 
8503299            /lib/libgcc_s-4.1.1-20070105.so.1
2000000003e58000-2000000003e64000 ---p 0001c000 08:14 
8503299            /lib/libgcc_s-4.1.1-20070105.so.1
2000000003e64000-2000000003e68000 rw-p 00018000 08:14 
8503299            /lib/libgcc_s-4.1.1-20070105.so.1
2000000003e68000-2000000003e78000 rw-p 2000000003e68000 00:00 0
2000000004000000-2000000004024000 rw-p 2000000004000000 00:00 0
2000000004024000-2000000008000000 ---p 2000000004024000 00:00 0
4000000000000000-4000000000020000 r-xp 00000000 08:14 
7651496            /sbin/parted
600000000000c000-6000000000010000 rw-p 0001c000 08:14 
7651496            /sbin/parted
6000000000010000-6000000000260000 rw-p 6000000000010000 00:00 0          [heap]
60000fff7fffc000-60000fff80000000 rw-p 60000fff7fffc000 00:00 0
60000ffffecb0000-60000ffffed04000 rw-p 60000ffffecb0000 00:00 0          [stack]
a000000000000000-a000000000020000 ---p 00000000 00:00 0                  [vdso]
Abortito
[root@integrity ~]#


Expected results:
(parted) p
Model: HP 73.4G MAS3735NC (scsi)
Disk /dev/sda: 73.4GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system  Name  Flags
 1      17.4kB  105MB   105MB   fat16              boot
 2      105MB   524MB   419MB   fat32              hp-service
 3      524MB   2672MB  2147MB  linux-swap
 4      2672MB  4819MB  2147MB  linux-swap
 5      4819MB  73.4GB  68.6GB  ext3
Comment 1 David Cantrell 2007-03-21 11:02:52 EDT
Figured this problem out last night.  The partition name pulled from the disk
label was getting translated when it shouldn't have been.  That was problematic
if your partition name was an empty string.  The information segment of the po
file was getting substituted in to the table and that caused the crash.

This is fixed in parted-1.8.6-2.fc7.  Unfortunately the tree is frozen for the
upcoming F7T3 release, so this fix will not be in F7T3.  However, after that's
released, you will be able to find this package in rawhide.  So I am closing
this as resolved in rawhide.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.